Skip to main content
Authentication

Renew your authentication token with the API

This method is used to issue a new API authorization token without having to specify a username and password. It will return a new API token that can be used for subsequent requests.

POST
/renew
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Response

application/vnd.catch-e-api.v1+json

Success

access_tokenstring
Example: aaaaaa/bbbbbb.ccccccc.dddddd
expires_ininteger

Token expiry time in seconds

Required range: 0 <= x <= 999999
Example: 3600
token_typeenum<string>
Available options: bearer